package de.k621.avr.gps.converter;

/**
 * Ein Modell eines NMEA-Kommandos des Typs 'GPVTG'.
 *
 * @author Martin Matysiak
 */
public class KVTGMessage {

  private float speed = 0;
  private String validCode = "N";

  /**
   * Konstruktor der Klasse
   *
   * @param rawString Das NMEA-Kommando, das abgebildet werden soll
   */
  public KVTGMessage(String rawString) {
    String[] rawData = rawString.split(",");

    try {
      speed = Float.parseFloat(rawData[7]);
    } catch (Exception ex) {
      speed = 0;
    }
    validCode = rawData[8];
  }

  /**
   * @return Die Geschwindigkeit
   */
  public float getSpeed() {
    return speed;
  }

  /**
   * @return true wenn Kommando valide, ansonsten false
   */
  public boolean isValid() {
    if (validCode.equals("N")) {
      return false;
    } else {
      return true;
    }

  }
}
